com.explodingpixels.macwidgets

## Interface SourceListModelListener

    public interface SourceListModelListener

An interface for listening to changes in a `SourceListModel`.

### Method Summary

Methods
`void` `categoryAdded(SourceListCategory category, int index)` Called when a category is adeded.
`void` `categoryRemoved(SourceListCategory category)` Called when a category is removed.
`void` `itemAddedToCategory(SourceListItem itemAdded, SourceListCategory category, int index)` Called when an item is added to a category.
`void` `itemAddedToItem(SourceListItem itemAdded, SourceListItem parentItem, int index)` Called when an item is added to another item.
`void` `itemChanged(SourceListItem item)` Called when an item's content changes (e.g.
`void` `itemRemovedFromCategory(SourceListItem itemRemoved, SourceListCategory category)` Called when an item is removed from a category.
`void` `itemRemovedFromItem(SourceListItem itemRemoved, SourceListItem parentItem)` Called when an item is removed from another item.

### Method Detail

#### categoryAdded

    void categoryAdded(SourceListCategory category,
                     int index)

Called when a category is adeded.

Parameters:
  `category` - the category that was removed.
  `index` - the index at which the category was added.

#### categoryRemoved

    void categoryRemoved(SourceListCategory category)

Called when a category is removed.

Parameters:
  `category` - the category that was removed.

#### itemAddedToCategory

    void itemAddedToCategory(SourceListItem itemAdded,
                           SourceListCategory category,
                           int index)

Called when an item is added to a category.

Parameters:
  `itemAdded` - the item that was added.
  `category` - the category that the item was added to.
  `index` - the index at which the category was added.

#### itemRemovedFromCategory

    void itemRemovedFromCategory(SourceListItem itemRemoved,
                               SourceListCategory category)

Called when an item is removed from a category.

Parameters:
  `itemRemoved` - the item that was removed.
  `category` - the category that the item was removed from.

#### itemAddedToItem

    void itemAddedToItem(SourceListItem itemAdded,
                       SourceListItem parentItem,
                       int index)

Called when an item is added to another item.

Parameters:
  `itemAdded` - the item that was added.
  `parentItem` - the item that the child item was added to.
  `index` - the index at which the category was added.

#### itemRemovedFromItem

    void itemRemovedFromItem(SourceListItem itemRemoved,
                           SourceListItem parentItem)

Called when an item is removed from another item.

Parameters:
  `itemRemoved` - the item that was removed.
  `parentItem` - the item that the child item was removed from.

#### itemChanged

    void itemChanged(SourceListItem item)

Called when an item's content changes (e.g. text, icon etc.).

Parameters:
  `item` - the item that was changed.